Skip to main content
GET
/
v1
/
balances
/
{currency}
Retrieve Balance
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/balances/{currency} \
  --header 'x-auth-token: <api-key>'
{
  "balance_id": "72970a7c-7921-431c-b95f-3438724ba16f",
  "currency": "USD",
  "available_balance": "5000.25",
  "prepaid_balance": "3600.12",
  "margin_balance": "10000.00",
  "frozen_balance": "2353.25",
  "create_time": "2024-03-01T00:00:00+08:00",
  "last_trade_time": "2024-03-21T17:17:32+08:00",
  "balance_status": "ACTIVE"
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

currency
string
required

Specifies the currency for which the balance is retrieved. Only a single currency can be provided. Currency codes follow the ISO 4217 standard.

Example:

"USD"

Response

Balances returned successfully.

balance_id
string
required

The account balance id.

Example:

"72970a7c-7921-431c-b95f-3438724ba16f"

currency
string
required

Currency of the account balance.

Example:

"USD"

available_balance
string<number>
required

Available balance.

Example:

"5000.25"

prepaid_balance
string<number>
required

Prepaid account balance.

Example:

"3600.12"

margin_balance
string<number>
required

Margin balance.

Example:

"10000.00"

frozen_balance
string<number>
required

Frozen balance.

Example:

"2353.25"

create_time
string<date/time>
required

The timestamp when the record was created in the system. Timestamp follows the ISO 8601 standard.

Example:

"2024-03-01T00:00:00+08:00"

last_trade_time
string
required

The last trade time at which the object was updated.

Example:

"2024-03-21T17:17:32+08:00"

balance_status
enum<string>
required

The balance status of the account.

Available options:
ACTIVE,
PENDING,
PROCESSING,
CLOSED
Example:

"ACTIVE"